package com.ruoyi.web.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.controller.screen.dto.HeLiuQuXian;
import com.ruoyi.web.domain.dto.lotEnvironment.LotEnvironmentAddRequest;
import com.ruoyi.web.domain.dto.lotEnvironment.LotEnvironmentEditRequest;
import com.ruoyi.web.domain.dto.lotEnvironment.LotEnvironmentQueryRequest;
import com.ruoyi.web.domain.entity.LotEnvironment;
import com.ruoyi.web.domain.vo.LotEnvironmentVO;

import java.util.List;

/**
 *
 */
public interface LotEnvironmentService extends IService<LotEnvironment> {
    Integer addLotEnvironment(LotEnvironmentAddRequest lotEnvironmentAddRequest);

    boolean deleteLotEnvironment(String ids);

    void editLotEnvironment(LotEnvironmentEditRequest lotEnvironmentEditRequest);

    /**
     * 根据id获取
     *
     * @param id
     * @return
     */
    LotEnvironmentVO getLotEnvironmentById(int id);

    LotEnvironmentVO getLotEnvironmentVO(LotEnvironment lotEnvironment);

    /**
     * 分页获取列表
     *
     * @param lotEnvironmentQueryRequest
     * @return
     */
    Page<LotEnvironmentVO> getListLotEnvironmentByPage(LotEnvironmentQueryRequest lotEnvironmentQueryRequest);


    /**
     * 获取查询条件
     *
     * @param lotEnvironmentQueryRequest
     * @return
     */
    QueryWrapper<LotEnvironment> getQueryWrapper(LotEnvironmentQueryRequest lotEnvironmentQueryRequest);

    List<LotEnvironment> heLiuQuXian();
}
